Results 1 to 6 of 6

Thread: Recent email from Wasabi Support, FYI.

  1. #1
    New Member
    Join Date
    Jul 2009
    Posts
    45
    Thanks
    6
    Thanked 1 Time in 1 Post

    Recent email from Wasabi Support, FYI.

    Recent email from Wasabi Support, FYI.

    Wasabi Support:
    We didn't receive any complain concerning the WII system up to 4.2, we tested it on our side and everything work properly.

    2009-09-30 : After several tests we can confirm the rumor about the new firmware 4.2 from NINTENDO breaking imports it removes the ability to play any import at all due to a new check. This is the same for every other mod chip on the market. The R&D team are working on it to find a solution and soon as more news coming out, the web site will be updated with all needed informations.

  2. #2
    Senior Member
    Join Date
    Sep 2009
    Posts
    4,784
    Thanks
    787
    Thanked 1,791 Times in 1,262 Posts
    Blog Entries
    5
    Recent as of 7 months ago? Old news, but thanks for playing, lol. You and the rest of our studio audiance will be recieving a Mr. Coffee Brewmaster...

  3. #3
    New Member
    Join Date
    Jul 2009
    Posts
    45
    Thanks
    6
    Thanked 1 Time in 1 Post
    I'm behind.
    New to me.
    The first line was from just this weekend. The bottom a supposed an old quote they send customers.

  4. #4
    New Member
    Join Date
    Apr 2009
    Posts
    192
    Thanks
    5
    Thanked 25 Times in 23 Posts
    Huh?!

    The update to 4.2 blocks out-of-region games on all Wiis, and this is a problem for all modchips, including the Wasabi DX. It has nothing to do with the way the modchips work. The only way to fix it is by softmodding.

    The new statement (above the September 2009 one) from the Wasabi team seems to just address the general question of whether Wasabix DX at all works on 4.2. Which it does (however, with the region limitation).

    Did the Wasabi DX team really reply with the new statement in the very same replay as the quote of the old statement? Because they seem to address different things.
    Last edited by CoNS; 04-14-2010 at 10:40 AM.

  5. #5
    New Member
    Join Date
    Jul 2009
    Posts
    45
    Thanks
    6
    Thanked 1 Time in 1 Post
    The original question mentioned an NTSC Wii with only NTSC backups.

  6. #6
    New Member
    Join Date
    Apr 2009
    Posts
    192
    Thanks
    5
    Thanked 25 Times in 23 Posts
    Hmm, ok, just to avoid confusion if anyone else stumbles upon this post later on:

    The Wasabi DX works perfectly fine with Wii system menu 4.2. However, the 4.2 update results in a limitation in that you are only able to play games from the same region (Europe/Australia, North America, Korea or Japan) as your Wii. This has nothing to do with the modchip, but is solely related to a restriction included in the 4.2 update. The only way to fix it on a 4.2 Wii is to softmod.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •